Bug 189790 - kcheckpass cannot authenticate users using a LDAP directory.
kcheckpass cannot authenticate users using a LDAP directory.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
http://bugs.kde.org/show_bug.cgi?id=1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 13:57 EDT by Aurélien Grosdidier
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 10:01:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 126152 None None None Never

  None (edit)
Description Aurélien Grosdidier 2006-04-24 13:57:49 EDT
Description of problem:

As kcheckpass is not setuid root, it cannot authenticate using a LDAP server.
This is a problem as once the screen is locked, it cannot be unlocked. See the
bug report I initially reported @ http://bugs.kde.org/show_bug.cgi?id=126152 .

Version-Release number of selected component (if applicable):

kdebase-3.5.2-0.2.fc5

How reproducible:

Always

Steps to Reproduce:
1. setup a LDAP authentification on the server
2. login w/ KDE as a user from the LDAP directory
3. lock your screen, you can't unlock it
  
Actual results:

You have to restart X.

Expected results:

The screensaver should disappear

Additional info:

It works after:

 chmod +s `which kcheckpass`
Comment 1 Ngo Than 2006-04-25 10:01:53 EDT
it's now fixed in kdebase-3.5.2-4. It will be available in rawhide soon. The fix
also will be included in next kdebase rebuild for FC5 update.  Thanks for your
report.
Comment 2 Tomas Hoger 2006-05-03 10:49:30 EDT
FC5 update (kdebase-3.5.2-0.3.fc5) is broken and does not contain kcheckpass as all!

$ rpm -q kdebase
kdebase-3.5.2-0.3.fc5
$ rpm -ql kdebase | grep kcheckpass
/etc/pam.d/kcheckpass
$

Result is that it's not possible to unlock screen saver and one has to manually
kill kdesktop_lock as suggested by error message.

Comment 3 Sammy 2006-05-03 11:35:33 EDT
I confirm this as well!
Comment 4 Ngo Than 2006-05-04 06:13:59 EDT
it seems a packacking bug in kdebase that kcheckpass was not included in this
version. I will push new kdebase packacge in FC5 update ASAP which resolves this
issue. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.